#include <stdio.h>

int main () {

  int n, j, d, s, novi_broj=0;
  int min, srednje, max;
  scanf("%d", &n);
  
  if(n<0 || n<100 || n>999)
  {
    printf("-1 \n");
    return -1;
  }
  else
  {
    j=n%10;
    d=(n/10)%10;
    s=(n/100)%10;

    min=j;
    if(d<min)
      min=d;
    if(s<min)
      min=s;
    
    max=j;
    if(d>max)
      max=d;
    if(s>max)
      max=s;
      
    srednje=j;
    if((d>=srednje && d<=s) || (d>=s && d<=srednje))
      srednje=d;
    if((s>=srednje && s<=j) || (s>=d && s<=srednje))
      srednje=s;
    
    novi_broj=novi_broj+100*min+10*srednje+1*max;
    printf("%d \n", novi_broj);
    }

return 0;
}